

textures/q3ctfp22/e8red_dcl
{

	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/q3ctfp22/e8red_dcl.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/q3ctfp22/e8blue_dcl
{

	surfaceparm nonsolid	
        surfaceparm nomarks
	surfaceparm trans
	{
		map textures/q3ctfp22/e8blue_dcl.tga
		blendfunc add
		rgbGen Vertex
	}
}

textures/q3ctfp22/blue_pulse
{
	q3map_surfacelight 100
	q3map_lightimage textures/q3ctfp22/blue_pulse.tga

	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/q3ctfp22/blue_pulse.tga
		blendFunc filter	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

	{
		map textures/q3ctfp22/blue_pulse.tga
		blendFunc add	
		rgbGen wave sin .25 .25 0 1	
	}


}

textures/q3ctfp22/red_pulse
{
	q3map_surfacelight 100
	q3map_lightimage textures/q3ctfp22/red_pulse.tga

	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/q3ctfp22/red_pulse.tga
		blendFunc filter	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

	{
		map textures/q3ctfp22/red_pulse.tga
		blendFunc add	
		rgbGen wave sin .25 .25 0 1	
	}


}

//SKYBOX BY HIPSHOT

textures/q3ctfp22/sky_dark
{
	qer_editorimage textures/q3ctfp22/env/clouds.tga
	q3map_lightimage textures/colors/m13sky.jpg
	q3map_lightmapFilterRadius 0 8		
	//q3map_sunExt 1 .8 .3 650 -150 60 3 32			
	q3map_skyLight 400 6 //175
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms - 2000 -
	nopicmip
	{
		map textures/q3ctfp22/env/clouds.tga
		tcMod scroll .03 .005
		tcmod scale 2 2
		rgbGen identityLighting
	}	
	{
		map textures/q3ctfp22/env/lightning.jpg
		blendfunc add
		rgbGen wave noise 0 1 0 10 
		tcMod scale 0.32 0.32
		tcMod rotate 20
	}	
}

//SKYBOX BY HIPSHOT'''''END

textures/q3ctfp22/floor_3
{    
	{
		map textures/q3ctfp22/floor_3.tga
		rgbGen identity	
	}
	{
		map textures/q3ctfp22/water_ref.jpg
		blendFunc add  		
		tcGen environment
		rgbGen identity
		tcmod scale 2 2   
		//tcMod scroll .01 .25           
	}	
	{
		map textures/q3ctfp22/floor_3.tga
		blendFunc blend
		rgbGen identity 		
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}
}

textures/q3ctfp22/barbwire
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map textures/q3ctfp22/barbwire.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


textures/q3ctfp22/glass
{
        qer_editorimage textures/q3ctfp22/glass.tga
        qer_trans 0.40
        surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm trans
        cull disable
        {
                map textures/q3ctfp22/glass.tga
                blendfunc filter
        }
        {
                map textures/q3ctfp22/envmap2.tga
                blendfunc add
                rgbGen identity
                tcGen environment
        }
}

textures/q3ctfp22/e6metalfan_s
{
	qer_editorimage textures/q3ctfp22/e6metalfan.tga

	{
		map textures/q3ctfp22/e6metalfan_blade.tga
		tcmod rotate 2500
	}
	{
		map textures/q3ctfp22/e6metalfan.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//---------Modified id shader by PJW ---------//

//modified id shader
textures/q3ctfp22/pjwt4_proto_fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm trans
	surfaceparm nolightmap		
	cull disable
        nopicmip
	sort 10
	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//depthWrite
		rgbGen vertex
	}
}

textures/q3ctfp22/u_gr8_1
{
	qer_editorimage textures/q3ctfp22/u_gr8_1.tga
	surfaceparm trans
	surfaceparm nolightmap		
	cull disable
        nopicmip
	sort 10
	{
		map textures/q3ctfp22/u_gr8_1.tga
		tcMod scale 3 3
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//depthWrite
		rgbGen vertex
	}
}

textures/q3ctfp22/zmav
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/Mav.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/Mav.jpg 
   }

}

textures/q3ctfp22/zmas
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/Mas.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/Mas.jpg 
   }

}

textures/q3ctfp22/zlux
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/lux.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/lux.jpg 
   }

}

textures/q3ctfp22/zlun
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/lun.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/lun.jpg 
   }

}

textures/q3ctfp22/zkot
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/kot.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/kot.jpg 
   }

}

textures/q3ctfp22/zwac
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/wac.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/wac.jpg 
   }

}

textures/q3ctfp22/zsap
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/sap.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/sap.jpg 
   }

}

textures/q3ctfp22/zrea
{
      surfaceparm nomarks 
      qer_editorimage textures/q3ctfp22/sponsors/rea.jpg
      nopicmip 
   {
      map textures/q3ctfp22/sponsors/rea.jpg 
   }

}

textures/q3ctfp22/weapspawn01
{
        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		clampmap textures/q3ctfp22/weapspawn01.tga
		blendfunc add
		rgbGen Vertex
		tcMod rotate 40
	}

}


textures/q3ctfp22/pipemet1
{
      surfaceparm nonsolid
      qer_editorimage textures/q3ctfp22/metal4.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3ctfp22/metal4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/q3ctfp22/pipemet2
{
      surfaceparm nonsolid
      qer_editorimage textures/q3ctfp22/metal2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3ctfp22/metal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/q3ctfp22/tp_metal_wall_005noclip
{
      surfaceparm nonsolid
      qer_editorimage textures/q3ctfp22/tp_metal_wall_005.jpg 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3ctfp22/tp_metal_wall_005.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/q3ctfp22/tp_metal_wall_007anoclip
{
      surfaceparm nonsolid
      qer_editorimage textures/q3ctfp22/tp_metal_wall_007a.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3ctfp22/tp_metal_wall_007a.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//--------- Texture by Hipshot from the map Cresant---------//

textures/q3ctfp22/water
	{
	qer_editorimage textures/q3ctfp22/pool3d_3e.tga
	q3map_lightimage textures/colors/black.jpg
	qer_trans .75
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog	
	surfaceparm nomarks
	surfaceparm nolightmap			
        cull disable
	fogparms ( .22 .15 .09 ) 2048
	deformVertexes wave 128 sin .25 .25 0 .5		
	{ 
		map textures/q3ctfp22/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		//rgbgen identitylighting
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/q3ctfp22/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
		//rgbgen identitylighting
	}	

}

textures/q3ctfp22/tp_metal_wall_009noclip
{
      surfaceparm nonsolid
      qer_editorimage textures/q3ctfp22/tp_metal_wall_009.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3ctfp22/tp_metal_wall_009.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

