textures/sewer/phantq3dm6_halfwall_001
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
        {
                map textures/sewer/phantq3dm6_halfwall_001.tga
                alphaFunc GE128
		depthWrite
		//rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}


}

textures/sewer/sewer-sky
{
	qer_editorimage textures/sewer/blueclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	0.75 0.75 1.1 95 60 80
	q3map_surfacelight 150
	skyparms - 512 -

	{
		map textures/sewer/blueclouds.tga
		tcMod scroll 0.05 0.1
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/sewer/blueclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 2
		tcMod scroll 0.05 0.05
	}
}

textures/sewer/marbleglass
{
	qer_editorimage textures/sewer/marbleglass.tga
	qer_trans 0.7
	surfaceparm trans
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/sewer/marbleglass.tga
		blendFunc blend
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewer/sewer-decal
{
	qer_editorimage textures/sewer/sewer.tga
	polygonOffset
	sort 6
	{
		map textures/sewer/sewer.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewer/lite1
{
        qer_editorimage textures/sewer/lite1.tga
	q3map_lightimage textures/sewer/glightfx.tga
        surfaceparm nomarks
        q3map_surfacelight 1800
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/sewer/lite1.tga
                blendfunc filter
                rgbGen identity
        }
        {
                map textures/sewer/lite1fx.tga
                blendfunc add
                rgbGen wave sin 0.9 0.7 0 0.2
        }
}

textures/sewer/icy
{
    qer_editorimage textures/sewer/yellowz.tga
	q3map_lightImage textures/sewer/yellowz.tga
	q3map_surfacelight 200
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/sewer/yellowz.tga
    }
	{
        map textures/sewer/goldenshiny2.tga
        tcgen environment
        blendFunc blend
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/sewer/sw_fence
{
	qer_editor_image textures/sewer/sw_fence.tga
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm solid
	cull disable
	{
		map textures/sewer/sw_fence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewer/waterpoison
{
    qer_editorimage textures/sewer/watertoxic2.tga
    qer_trans 0.6
    //q3map_lightImage textures/sewer/watertoxic2.tga
    //q3map_surfacelight 200
    surfaceparm noimpact
    surfaceparm water
    surfaceparm trans
    surfaceparm detail
    cull disable
    q3map_globaltexture
    {
        map textures/sewer/watertoxic2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcMod turb 0.5 0.3 2 0.02
    }
    {
        map textures/sewer/watertoxic2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcMod turb 0.5 0.1 1 0.025
    }
    {
        map textures/sewer/watertoxic2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcMod turb 0.5 1 0.4 0.03
    }
    {
        map textures/sewer/wateroil.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcMod turb 0.5 0.5 0.2 0.02
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/sewer/waterpoisonfall
{
    qer_editorimage textures/sewer/watertoxic2.tga
    qer_trans 0.6
    //q3map_lightImage textures/sewer/watertoxic2.tga
    //q3map_surfacelight 200
    surfaceparm noimpact
    surfaceparm water
    surfaceparm trans
    surfaceparm detail
    cull disable
    q3map_globaltexture
    {
        map textures/sewer/watertoxic2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity

        tcmod scroll -.05 -2.5
    }
    {
        map textures/sewer/watertoxic2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scroll .025 -2.0
    }
    {
        map textures/sewer/watertoxic2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scroll .001 -1.5
    }

    {
        map $lightmap
        blendfunc filter
    }
}

textures/sewer/industrialwindow01
{
	qer_editorimage textures/sewer/industrialwindow01.tga
	qer_trans 1
	surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbgen identity
	}
	{
		map textures/sewer/industrialwindow01.tga
		alphaFunc GE128
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewer/industrialwindow01-transp
{
	qer_editorimage textures/sewer/industrialwindow01.tga
	qer_trans 0.7
	surfaceparm nomarks
	surfaceparm trans
//	q3map_surfacelight 300
	q3map_lightsubdivide 32
	{
		map textures/effects/tinfx2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/sewer/industrialwindow01.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sewer/corona
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull none
          {
            clampmap textures/sewer/corona.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/sewer/kiiialightgrate
{
	qer_editorimage textures/sewer/kiiialightgrate.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/sewer/kiiialightgrate.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/sewer/leospotlight1_dull
{
	q3map_lightimage textures/leodm1/leospotlight1_dull.tga
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sewer/leospotlight1_dull.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}